<app-header
    title="Détails de la consultation"
    [displayUserInfos]="true"
></app-header>

<ion-content class="consultation ion-padding-horizontal">
    <app-notification
        *ngIf="currentPayementStatus === paymentStatus.waiting"
        class="ion-margin-vertical px-6 py-0 has-background-pink"
        icon="warning"
        iconColor="warning-light"
        iconSize="size-37"
    >
        <ion-text message color="dark-lighter size-13"
            >{{ consultationInPending}}</ion-text
        >
    </app-notification>

    <app-notification
        *ngIf="displayLink && consultation.transaction?.paymentProof"
        icon="warning"
        iconColor="warning-light"
        iconSize="size-37"
        class="ion-margin-vertical has-background-blue-pale px-6 py-0"
    >
        <ion-text message color="dark-lighter size-13">
            Le lien de votre consultation en ligne sera actif le
        </ion-text>
        <ion-text message color="dark-lighter size-13 weight-700">
            {{consultation.calendar.availableDate | date: "EEEE d MMMM yyyy"}} à
            {{ consultationTime }}
        </ion-text>
    </app-notification>

    <app-consultation
        class="ion-margin-top"
        #consultationComponent
        [item]="consultation"
    >
    </app-consultation>

    <!-- Symptoms -->
    <app-card class="mx-2 ion-margin-vertical">
        <ion-row content>
            <ion-col size="auto" class="ion-no-padding">
                <div
                    class="consultation__icon consultation__symptom width-90 radius-9 is-dark ion-align-items-center ion-justify-content-center pt-5 pb-8 ion-no-padding"
                >
                    <ion-icon class="size-50" name="alert"></ion-icon>
                </div>
            </ion-col>

            <ion-col class="pl-10">
                <ion-row
                    class="ion-justify-content-between ion-justify-items-center ion-no-padding mb-4"
                >
                    <ion-col class="ion-no-padding" size="auto">
                        <ion-text class="size-16 weight-600" color="dark">
                            Symptômes
                        </ion-text>
                    </ion-col>
                    <ion-col class="ion-no-padding" size="auto" *ngIf="files">
                        <ion-text class="size-14" color="primary">
                            {{ files }} fichier(s)
                        </ion-text>
                    </ion-col>
                </ion-row>

                <ion-text class="size-13" color="dark-lighter">
                    {{consultation.problemDescription}}
                </ion-text>
            </ion-col>
        </ion-row>
    </app-card>

    <!-- Payment -->
    <div *ngIf="currentPayementStatus === paymentStatus.pending; else noPay">
        <!-- payment -->
        <div class="ion-margin-vertical">
            <ion-text
                class="size-20 weight-700 text-secondary"
                color="black-light"
            >
                Paiement
            </ion-text>
            <div class="my-10">
                <ion-text class="size-13" color="black-light">
                    Modes de paiement disponibles
                </ion-text>
            </div>

            <div *ngFor="let number of phoneNumbers" class="size-13 mb-5">
                <ion-text color="black-light">
                    Transfert mobile au
                    <ion-text class="weight-700">{{ number }}</ion-text>
                </ion-text>
            </div>

            <div class="my-10 size-13">
                <ion-text color="black-light">
                    Dépot bancaire sur le compte :
                    <ion-text class="weight-700">
                        {{ consultation.calendar.doctor.rib }}
                    </ion-text>
                </ion-text>
            </div>
        </div>

        <form
            class="ion-no-padding ion-margin-bottom mt-30"
            [formGroup]="consultationForm"
        >
            <div
                class="consultation__file border-solid border-1 has-border-gray ion-align-items-center ion-justify-content-between pl-10 radius-tl-7 radius-bl-7"
                (click)="file.click()"
                (keyPress)="file.click()"
            >
                <ion-text
                    class="consultation__description size-15 weight-500"
                    color="dove-black"
                >
                    {{ description }}</ion-text
                >
                <span
                    data-testid="select-file"
                    class="consultation__file__container ion-align-items-center ion-justify-content-center has-background-primary height-36 width-36"
                >
                    <ion-icon
                        name="download-outline"
                        color="white"
                        class="consultation__file__icon size-23"
                    ></ion-icon>
                </span>

                <input
                    #file
                    formControlName="file"
                    type="file"
                    hidden
                    [accept]="acceptedFileTypes"
                    (change)="loadPrescription($event)"
                />
            </div>

            <ion-text class="size-10" color="red"> {{ errorMessage }}</ion-text>
        </form>

        <!-- info -->
        <div class="ion-margin-vertical">
            <ion-text
                class="text-secondary size-20 weight-700"
                color="black-light"
            >
                Information </ion-text
            ><br />
            <ion-text class="size-13" color="black-light">
                Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed
                quis felis ac justo rutrum scelerisque. Suspendisse ac arcu
                venenatis, efficitur erat ut, viverra enim. Mauris nisi urna,
                dapibus et iaculis at, porttitor sollicitudin lorem.
            </ion-text>
        </div>
    </div>

    <ng-template #noPay>
        <app-card class="mx-2 ion-margin-vertical">
            <ion-row content>
                <ion-col size="auto" class="ion-no-padding">
                    <div
                        class="consultation__icon width-90 ion-align-items-center ion-justify-content-center py-5"
                    >
                        <ion-icon
                            class="size-85"
                            name="card"
                            color="primary"
                        ></ion-icon>
                    </div>
                </ion-col>

                <ion-col class="pl-10 pt-20">
                    <ion-text class="size-16 weight-600" color="dark-lighter">
                        Paiement
                    </ion-text>
                    <div
                        *ngIf="consultation.transaction; else noProof"
                        class="mt-12"
                    >
                        <a
                            [href]="consultation.transaction.paymentProof"
                            download
                            class="weight-400 has-text-primary size-12"
                        >
                            consulter la preuve de paiement
                        </a>
                    </div>

                    <ng-template #noProof>
                        <div class="mt-12">
                            <ion-text
                                class="consultation__message size-12"
                                color="dark-lighter"
                            >
                                Vous n'avez pas soumis une preuve de paiement
                            </ion-text>
                        </div>
                    </ng-template>
                </ion-col>
            </ion-row>
        </app-card>
    </ng-template>

    <!-- Treatment -->
    <app-card class="mx-2 ion-margin-vertical" *ngIf="consultation.treatment">
        <ion-row content>
            <ion-col size="auto" class="ion-no-padding">
                <div
                    class="consultation__icon width-90 radius-9 is-secondary ion-align-items-center ion-justify-content-center pt-5 pb-8"
                >
                    <ion-icon class="size-50" name="document"></ion-icon>
                </div>
            </ion-col>

            <ion-col class="pl-10 pt-20">
                <ion-text class="size-16 weight-600" color="dark-lighter">
                    Ordonnance
                </ion-text>
                <div class="mt-12">
                    <a
                        [href]="consultation.ordonnaceUrl"
                        download
                        class="size-12 weight-400 has-text-primary"
                    >
                        Télécharger l'ordonnance fournie par votre médecin
                    </a>
                </div>
            </ion-col>
        </ion-row>
    </app-card>
</ion-content>
<ion-footer class="ion-no-border ion-padding-horizontal">
    <div
        class="ion-text-center"
        *ngIf="currentPayementStatus === paymentStatus.waiting"
    >
        <ion-text color="dark"
            >En cas d'indisponibilité, veuillez
            <a
                (click)="showModal()"
                color="primary"
                class="weight-600"
                data-testid="cancel-meeting"
            >
                cliquez ici pour l'annuler.
            </a>
        </ion-text>
    </div>
    <ion-row
        class="ion-justify-content-center has-text-primary ion-text-center"
    >
        <ion-col size="10" class="mb-24 ion-padding-top">
            <app-button
                *ngIf="currentPayementStatus === paymentStatus.waiting"
                data-testid="pay-now"
                title="Payer maintenant"
                class="button--radius-10 size-16"
                size="large"
                expand="full"
                color="primary"
                shape="round"
                [disabled]="consultation.status === ConsultationStatus.waiting"
                (onClick)="payNow()"
            ></app-button>

            <app-button
                *ngIf="currentPayementStatus === paymentStatus.pending"
                data-testid="submit-payment-proof"
                title="Suivant"
                class="button--radius-10 size-18 is-white-dove"
                size="large"
                expand="full"
                shape="round"
                (click)="onSubmit()"
                (keyPress)="onSubmit()"
            ></app-button>
        </ion-col>
    </ion-row>
</ion-footer>
